    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------------
    028     * XYItemLabelGenerator.java
    029     * -------------------------
    030     * (C) Copyright 2001-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 13-Dec-2001 : Version 1 (DG);
    038     * 16-Jan-2002 : Completed Javadocs (DG);
    039     * 13-Jun-2002 : Correction to Javadoc comments (DG);
    040     * 26-Sep-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 25-Feb-2004 : Renamed XYToolTipGenerator --> XYItemLabelGenerator (DG);
    042     * 15-Apr-2004 : Moved the generateToolTip() method to a separate
    043     *               interface (DG);
    044     * 11-May-2004 : Renamed XYItemLabelGenerator --> XYLabelGenerator (DG);
    045     * 20-Apr-2005 : Reverted name change of 11-May-2004 (DG);
    046     *
    047     */
    048
    049    package org.jfree.chart.labels;
    050
    051    import org.jfree.data.xy.XYDataset;
    052
    053    /**
    054     * Interface for a label generator for plots that use data from an
    055     * {@link XYDataset}.
    056     */
    057    public interface XYItemLabelGenerator {
    058
    059        /**
    060         * Generates a label for the specified item. The label is typically a
    061         * formatted version of the data value, but any text can be used.
    062         *
    063         * @param dataset  the dataset (<code>null</code> not permitted).
    064         * @param series  the series index (zero-based).
    065         * @param item  the item index (zero-based).
    066         *
    067         * @return The label (possibly <code>null</code>).
    068         */
    069        public String generateLabel(XYDataset dataset, int series, int item);
    070
    071    }